Bug 1267661 - Signalling the process instance results in error message
Signalling the process instance results in error message
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Mauricio Salatino
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 11:20 EDT by Pavel Kralik
Modified: 2016-01-08 17:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error signal dialog (45.33 KB, image/png)
2015-09-30 11:20 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-09-30 11:20:20 EDT
Created attachment 1078703 [details]
Error signal dialog

Description of problem:
When trying to signal process instance through Options > Signal in the Details panel the error modal dialog appears

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER3

How reproducible:
Always

Steps to Reproduce:
1. Go to the process instances and select the details tab for the instance eg. simple timer
2. Set the Options > Signal
3. Error modal dialog appears: Exception thrown: No session found for context 6
4. Hit "Ok" and "Signaling process instance" (should be "Signalling") appears
5. Hit "Signal" button with empty values and error dialog is thrown again  

Actual results:
Error message with user unfriendly message 

Expected results:
Signal dialog appears

Additional info:
ERROR [org.guvnor.common.services.backend.exceptions.ExceptionUtilities] (http-/127.0.0.1:8080-21) Exception thrown: No session found for context 6: org.kie.internal.runtime.manager.SessionNotFoundException: No session found for context 6
	at org.jbpm.runtime.manager.impl.PerProcessInstanceRuntimeManager$PerProcessInstanceInitializer.initKieSession(PerProcessInstanceRuntimeManager.java:486) [jbpm-runtime-manager-6.3.0.Final-redhat-1.jar:6.3.0.Final-redhat-1]
	at org.jbpm.runtime.manager.impl.RuntimeEngineImpl.getKieSession(RuntimeEngineImpl.java:70) [jbpm-runtime-manager-6.3.0.Final-redhat-1.jar:6.3.0.Final-redhat-1]
Comment 2 Maciej Swiderski 2015-10-21 12:37:45 EDT
this error indicates that process instance has already been completed. Most likely due to timer expired and completed process instance. 

I just double checked that this does work fine for active process instance deployed with per process instance strategy. 

Pavel, do you mind double checking if the reason for this failure is as described above?
Comment 3 Pavel Kralik 2015-10-29 06:05:45 EDT
Hi Maciej,

Process instances and tasks list in Active tab shows tasks and Proc. Instances that are completed too. https://bugzilla.redhat.com/show_bug.cgi?id=1270690

Would it be possible to have modal dialog with user friendly message stated something like "trying to signal completed process instances"?

Note You need to log in before you can comment on or make changes to this bug.